<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>Restaurant</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Restaurant";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">businessLayer</a></div>
<h2 title="Class Restaurant" class="title">Class Restaurant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.Observable</li>
<li>
<ul class="inheritance">
<li>businessLayer.Restaurant</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code>, <code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements <a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a>, java.io.Serializable</pre>
<div class="block">Clasa Restaurant contine lista de produse din meniu si lista de comenzi. Exista mai multe metode utile 
 pentru manipularea corecta a datelor.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ionut</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#businessLayer.Restaurant">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Restaurant</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMap(businessLayer.Order,java.util.ArrayList)">addMap</a></span>&#8203;(<a href="Order.html" title="class in businessLayer">Order</a>&nbsp;o,
      java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&nbsp;m)</code></th>
<td class="colLast">
<div class="block">Se adauga in HashMap o comanda noua.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMenuItem(businessLayer.MenuItem)">addMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</code></th>
<td class="colLast">
<div class="block">Se adauga un produs nou</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewOrder(businessLayer.Order)">addNewOrder</a></span>&#8203;(<a href="Order.html" title="class in businessLayer">Order</a>&nbsp;o)</code></th>
<td class="colLast">
<div class="block">Adaugare comanda</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computePrice()">computePrice</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(businessLayer.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a)</code></th>
<td class="colLast">
<div class="block">Sterge un produs</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">editMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a,
            <a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;b)</code></th>
<td class="colLast">
<div class="block">Metoda care modifica un produs.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code><a href="MenuItem.html" title="class in businessLayer">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findItem(java.lang.String)">findItem</a></span>&#8203;(java.lang.String&nbsp;a)</code></th>
<td class="colLast">
<div class="block">Metoda este apelata degetItemsToAdd atunci cand se cauta produsul dupa nume</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBill()">generateBill</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Metoda pentru generarea unui id diferit noii comenzi</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getItems()">getItems</a></span>()</code></th>
<td class="colLast">
<div class="block">Metoda pentru gasirea tuturor produselor</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getItemsToAdd(java.lang.String%5B%5D)">getItemsToAdd</a></span>&#8203;(java.lang.String[]&nbsp;lista)</code></th>
<td class="colLast">
<div class="block">Metoda primeste numele produselor adaugate in GUI sub forma de String-uri.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>java.lang.String[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNames()">getNames</a></span>()</code></th>
<td class="colLast">
<div class="block">Se genereaza toate numele (String) disponibile in meniu.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="Order.html" title="class in businessLayer">Order</a>,&#8203;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrders()">getOrders</a></span>()</code></th>
<td class="colLast">
<div class="block">Metoda pentru gasirea tuturor comenzilor</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTotal(int)">getTotal</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Metoda calculeaza nota de plata pentru o anumita comanda.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<code>addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Restaurant</h4>
<pre>public&nbsp;Restaurant()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addMap(businessLayer.Order,java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMap</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addMap&#8203;(<a href="Order.html" title="class in businessLayer">Order</a>&nbsp;o,
                   java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&nbsp;m)</pre>
<div class="block">Se adauga in HashMap o comanda noua.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - detaliile comenzii (id,masa)</dd>
<dd><code>m</code> - lista cu produse din meniu</dd>
</dl>
</li>
</ul>
<a id="getNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNames</h4>
<pre class="methodSignature">public&nbsp;java.lang.String[]&nbsp;getNames()</pre>
<div class="block">Se genereaza toate numele (String) disponibile in meniu. Metoda este apelata 
 in interfata Waiter, unde se listeaza aceste nume, si utilizatorul alege ce sa adauge in comanda.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>vector de String-uri cu toate numele deproduse</dd>
</dl>
</li>
</ul>
<a id="getTotal(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTotal</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getTotal&#8203;(int&nbsp;index)</pre>
<div class="block">Metoda calculeaza nota de plata pentru o anumita comanda.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - id-ul comenzii</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pretul total al comenzii</dd>
</dl>
</li>
</ul>
<a id="getItemsToAdd(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemsToAdd</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&nbsp;getItemsToAdd&#8203;(java.lang.String[]&nbsp;lista)</pre>
<div class="block">Metoda primeste numele produselor adaugate in GUI sub forma de String-uri. Dupa aceste nume, se cauta 
 in lista de produse, iar cele care au numele dorit, sunt adaugate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lista</code> - numele produselor sub forma de String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>lista de MenuItems care vor fi adaugate comenzii</dd>
</dl>
</li>
</ul>
<a id="findItem(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findItem</h4>
<pre class="methodSignature">public&nbsp;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;findItem&#8203;(java.lang.String&nbsp;a)</pre>
<div class="block">Metoda este apelata degetItemsToAdd atunci cand se cauta produsul dupa nume</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - numele produsului cautat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>produsul MenuItem cu numele cautat</dd>
</dl>
</li>
</ul>
<a id="addMenuItem(businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addMenuItem&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;i)</pre>
<div class="block">Se adauga un produs nou</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#addMenuItem(businessLayer.MenuItem)">addMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - obiect de tip MenuItem</dd>
</dl>
</li>
</ul>
<a id="deleteMenuItem(businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deleteMenuItem&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IRestaurantProcessing.html#deleteMenuItem(businessLayer.MenuItem)">IRestaurantProcessing</a></code></span></div>
<div class="block">Sterge un produs</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#deleteMenuItem(businessLayer.MenuItem)">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - produsul care trebuie sters</dd>
</dl>
</li>
</ul>
<a id="editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editMenuItem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;editMenuItem&#8203;(<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;a,
                         <a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&nbsp;b)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IRestaurantProcessing.html#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">IRestaurantProcessing</a></code></span></div>
<div class="block">Metoda care modifica un produs. Se sterge produsul cu datelevechi si se adauga un produs nou.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#editMenuItem(businessLayer.MenuItem,businessLayer.MenuItem)">editMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - produsul vechi</dd>
<dd><code>b</code> - produsul modificat (nou)</dd>
</dl>
</li>
</ul>
<a id="addNewOrder(businessLayer.Order)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewOrder</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addNewOrder&#8203;(<a href="Order.html" title="class in businessLayer">Order</a>&nbsp;o)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IRestaurantProcessing.html#addNewOrder(businessLayer.Order)">IRestaurantProcessing</a></code></span></div>
<div class="block">Adaugare comanda</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#addNewOrder(businessLayer.Order)">addNewOrder</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - comanda care trebuie adaugata</dd>
</dl>
</li>
</ul>
<a id="computePrice()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computePrice</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;computePrice()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#computePrice()">computePrice</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
<a id="generateBill()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateBill</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generateBill()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#generateBill()">generateBill</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in businessLayer">IRestaurantProcessing</a></code></dd>
</dl>
</li>
</ul>
<a id="getItems()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItems</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&nbsp;getItems()</pre>
<div class="block">Metoda pentru gasirea tuturor produselor</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>lista deproduse</dd>
</dl>
</li>
</ul>
<a id="getOrders()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrders</h4>
<pre class="methodSignature">public&nbsp;java.util.HashMap&lt;<a href="Order.html" title="class in businessLayer">Order</a>,&#8203;java.util.ArrayList&lt;<a href="MenuItem.html" title="class in businessLayer">MenuItem</a>&gt;&gt;&nbsp;getOrders()</pre>
<div class="block">Metoda pentru gasirea tuturor comenzilor</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comenzile actuale</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getId()</pre>
<div class="block">Metoda pentru generarea unui id diferit noii comenzi</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>id comanda</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
